-
  I check the voucher module with user who is accountant.
-
  !context
    uid: 'res_users_account_voucher_user'

-
  In order to check account voucher module in Odoo I create a customer voucher
-
  !record {model: account.voucher, id: account_voucher_voucherforaxelor0, view: view_sale_receipt_form}:
    voucher_type: sale
    account_id: a_cash
    amount: 1000.0
    company_id: base.main_company
    journal_id: sales_journal
    name: Voucher for Axelor
    narration: Basic Pc
    line_ids:
      - account_id: a_recv
        price_unit: 1000.0
        name: Voucher for Axelor
    partner_id: base.res_partner_12
    date: !eval time.strftime('%Y-%m-%d')
    reference: none

-
  I check that Initially customer voucher is in the "Draft" state
-
  !assert {model: account.voucher, id: account_voucher_voucherforaxelor0}:
    - state == 'draft'
-
  Now I create a Vendor Voucher
-
  !record {model: account.voucher, id: account_voucher_voucheraxelor0}:
    voucher_type: purchase
    account_id: a_cash
    amount: 1000.0
    company_id: base.main_company
    journal_id: j_cash
    name: Voucher Axelor
    narration: PC Assemble SC234
    line_ids:
      - account_id: a_cash
        price_unit: 1000.0
        name: Voucher Axelor
    partner_id: base.res_partner_12
    date: !eval time.strftime('%Y-%m-%d')
    reference: none

-
  I check that Initially vendor voucher is in the "Draft" state
-
  !assert {model: account.voucher, id: account_voucher_voucheraxelor0}:
    - state == 'draft'
